OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::AudioPlayHead::LoopPoints Struct Reference

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
bool | operator== (const LoopPoints &other) const
bool | operator!= (const LoopPoints &other) const

## Public Attributes
double | ppqStart = 0
double | ppqEnd = 0

## Detailed Description

Holds the begin and end points of a looped region.

See also
  PositionInfo::getIsLooping() PositionInfo::setIsLooping() PositionInfo::getLoopPoints() PositionInfo::setLoopPoints()

Definition at line 183 of file juce_AudioPlayHead.h.

## Member Function Documentation

## ◆ operator!=()

bool juce::AudioPlayHead::LoopPoints::operator!= | ( | const LoopPoints & | other | ) | const
| inline

Definition at line 197 of file juce_AudioPlayHead.h.

## ◆ operator==()

bool juce::AudioPlayHead::LoopPoints::operator== | ( | const LoopPoints & | other | ) | const
| inline

Definition at line 191 of file juce_AudioPlayHead.h.

## Member Data Documentation

## ◆ ppqEnd

double juce::AudioPlayHead::LoopPoints::ppqEnd = 0

The current cycle end position in units of quarter-notes.

Definition at line 189 of file juce_AudioPlayHead.h.

## ◆ ppqStart

double juce::AudioPlayHead::LoopPoints::ppqStart = 0

The current cycle start position in units of quarter-notes.

Definition at line 186 of file juce_AudioPlayHead.h.

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h